using Microsoft.EntityFrameworkCore.Migrations;

namespace ReallifeGamemode.Database.Migrations
{
  public partial class AddUserOtherAmount : Migration
  {
    protected override void Up(MigrationBuilder migrationBuilder)
    {
      migrationBuilder.AddColumn<int>(
          name: "otheramount",
          table: "Users",
          nullable: false,
          defaultValue: 0);

      migrationBuilder.AddColumn<int>(
          name: "trashcount",
          table: "Users",
          nullable: false,
          defaultValue: 0);

      migrationBuilder.AddColumn<bool>(
          name: "GangOwned",
          table: "Factions",
          nullable: false,
          defaultValue: false);
    }

    protected override void Down(MigrationBuilder migrationBuilder)
    {
      migrationBuilder.DropColumn(
          name: "otheramount",
          table: "Users");

      migrationBuilder.DropColumn(
          name: "trashcount",
          table: "Users");

      migrationBuilder.DropColumn(
          name: "GangOwned",
          table: "Factions");
    }
  }
}
